Package org.apache.groovy.groovysh.jline

# Class GroovyEngine.AccessRules

java.lang.Object
org.apache.groovy.groovysh.jline.GroovyEngine.AccessRules

Enclosing class:
  GroovyEngine

protected static class GroovyEngine.AccessRules extends Object
Encapsulates access rules for code completion. Controls which members are visible during completion.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final boolean`
  `allClasses`
  Whether to include all classes (including non-public) in completion
  `protected final boolean`
  `allConstructors`
  Whether to include all constructors (including non-public) in completion
  `protected final boolean`
  `allFields`
  Whether to include all fields (including non-public) in completion
  `protected final boolean`
  `allMethods`
  Whether to include all methods (including non-public) in completion

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccessRules()`
  Constructs AccessRules with default values (all false).
  `AccessRules(Map<String,Object> options)`
  Constructs AccessRules from the given options map.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### allMethods

    protected final boolean allMethods
    Whether to include all methods (including non-public) in completion

  - ### allFields

    protected final boolean allFields
    Whether to include all fields (including non-public) in completion

  - ### allConstructors

    protected final boolean allConstructors
    Whether to include all constructors (including non-public) in completion

  - ### allClasses

    protected final boolean allClasses
    Whether to include all classes (including non-public) in completion

- ## Constructor Details

  - ### AccessRules

    public AccessRules()
    Constructs AccessRules with default values (all false).

  - ### AccessRules

    public AccessRules(Map<String,Object> options)
    Constructs AccessRules from the given options map.
    Parameters:
      `options` - map of option keys to values